Search Gradle plugins

Version 0.0.2 (latest)

Created 19 September 2017.

Configuration for Spring's dependency management plugin

Using the plugins DSL:

plugins {
  id "com.devtub.scramble.dependency-management" version "0.0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.gradle.plugin.com.devtub.scramble:dependency-management-gradle-plugin:0.0.2"
  }
}

apply plugin: "com.devtub.scramble.dependency-management"

Using the plugins DSL:

plugins {
  id("com.devtub.scramble.dependency-management") version "0.0.2"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.gradle.plugin.com.devtub.scramble:dependency-management-gradle-plugin:0.0.2")
  }
}

apply(plugin = "com.devtub.scramble.dependency-management")

Learn how to apply plugins to subprojects